diff --git a/cpu/x86/pc/lxdevel/fw.bth b/cpu/x86/pc/lxdevel/fw.bth
index f9032e3..ac9162b 100644
--- a/cpu/x86/pc/lxdevel/fw.bth
+++ b/cpu/x86/pc/lxdevel/fw.bth
@@ -117,12 +117,14 @@ end-support-package
 [then]
 
 [ifdef] linux-support
+\needs unix-seconds>  fload ${BP}/ofw/fs/unixtime.fth	\ Unix time calculation
 support-package: ext2-file-system
    fload ${BP}/ofw/fs/ext2fs/ext2fs.fth	\ Linux file system
 end-support-package
 [then]
 
 [ifdef] jffs2-support
+\needs unix-seconds>  fload ${BP}/ofw/fs/unixtime.fth	\ Unix time calculation
 support-package: jffs2-file-system
    fload ${BP}/ofw/fs/jffs2/jffs2.fth	\ Journaling flash file system 2
 end-support-package
diff --git a/cpu/x86/pc/lxdevel/lxdevel.bth b/cpu/x86/pc/lxdevel/lxdevel.bth
index ffb3467..2c68bd9 100644
--- a/cpu/x86/pc/lxdevel/lxdevel.bth
+++ b/cpu/x86/pc/lxdevel/lxdevel.bth
@@ -6,7 +6,7 @@ in: ${BP}/cpu/x86/pc/lxdevel/build/romreset.di
 in: ${BP}/cpu/x86/pc/lxdevel/build/rmstart.img
 in: ${BP}/cpu/x86/pc/lxdevel/build/paging.di
 in: ${BP}/cpu/x86/pc/lxdevel/build/fw.dic
-in: ${BP}/dev/geode/nandflash/build/nandflash.fc
+\ in: ${BP}/dev/geode/nandflash/build/nandflash.fc
 in: ${BP}/dev/mmc/sdhci/build/sdhci.fc
 in: ${BP}/dev/mmc/sdhci/build/sdmmc.fc
 in: ${BP}/dev/geode/ac97/build/ac97.fc
@@ -18,10 +18,10 @@ in: ${BP}/dev/usb2/device/serial/build/usbserial.fc
 in: ${BP}/dev/usb2/device/storage/build/usbstorage.fc
 in: ${BP}/dev/usb2/device/keyboard/build/usbkbd.fc
 in: ${BP}/dev/usb2/device/wlan/build/usb8388.fc
-in: ${BP}/dev/olpc/cafenand/build/cafenand.fc
-in: ${BP}/dev/olpc/cafecamera/build/cafecamera.fc
+\ in: ${BP}/dev/olpc/cafenand/build/cafenand.fc
+\ in: ${BP}/dev/olpc/cafecamera/build/cafecamera.fc
 in: ${BP}/dev/pci/build/pcibridg.fc
-in: usb8388.bin
+\ in: usb8388.bin
 
 build-now
 
@@ -48,7 +48,7 @@ writing lxdevel.rom
    " romreset.di"           $add-file
 \  " resume.di"             $add-file
 
-   fload ${BP}/cpu/x86/pc/olpc/loaddropins.fth
+\   fload ${BP}/cpu/x86/pc/olpc/loaddropins.fth
    " ${BP}/dev/pci/build/pcibridg.fc"           " class060400"     $add-deflated-dropin
 
    /rom h# 400 - pad-file	\ rmstart image must start 0x400 from end
diff --git a/cpu/x86/pc/lxdevel/rmstart.bth b/cpu/x86/pc/lxdevel/rmstart.bth
index 57cccd3..94f7673 100644
--- a/cpu/x86/pc/lxdevel/rmstart.bth
+++ b/cpu/x86/pc/lxdevel/rmstart.bth
@@ -5,7 +5,7 @@ command: &builder &this
 build-now
 
 \ To do this on the geode, extra init may be necessary
-\ create debug-reset
+create debug-reset
 
 fload ${BP}/cpu/x86/pc/lxdevel/config.fth
 fload ${BP}/cpu/x86/pc/olpc/rmstart.fth
